View Git repositories
Name Status Last Modified Last Commit
lp:ubuntu/wily-proposed/nettle 1 Development 2015-06-22 04:11:07 UTC 2015-06-22
22. Switch libgmp10-dev Build-Depends to ...

Author: Magnus Holmgren
Revision Date: 2015-06-01 23:57:24 UTC

Switch libgmp10-dev Build-Depends to libgmp-dev (Closes: #783085).

lp:ubuntu/wily/nettle 1 Development 2015-06-01 23:57:24 UTC 2015-06-01
21. Switch libgmp10-dev Build-Depends to ...

Author: Magnus Holmgren
Revision Date: 2015-06-01 23:57:24 UTC

Switch libgmp10-dev Build-Depends to libgmp-dev (Closes: #783085).

lp:ubuntu/vivid/nettle 2 Mature 2015-01-11 20:27:20 UTC 2015-01-11
20. * Add code to transition /usr/share/d...

Author: Magnus Holmgren
Revision Date: 2015-01-11 20:27:20 UTC

* Add code to transition /usr/share/doc/nettle-dbg from directory to
  symlink (Closes: #774919).
* Also add missing Pre-Depends: multiarch-support to nettle-dbg.

lp:ubuntu/vivid-proposed/nettle 1 Development 2015-01-11 20:27:20 UTC 2015-01-11
20. * Add code to transition /usr/share/d...

Author: Magnus Holmgren
Revision Date: 2015-01-11 20:27:20 UTC

* Add code to transition /usr/share/doc/nettle-dbg from directory to
  symlink (Closes: #774919).
* Also add missing Pre-Depends: multiarch-support to nettle-dbg.

lp:ubuntu/utopic/nettle 2 Mature 2014-07-29 17:20:39 UTC 2014-07-29
17. Use -fPIC instead of -fpic by default...

Author: Magnus Holmgren
Revision Date: 2014-07-29 17:20:39 UTC

Use -fPIC instead of -fpic by default (Closes: #755769); needed on
sparc64 and shouldn't be noticeable elsewhere.

lp:ubuntu/utopic-proposed/nettle 1 Development 2014-07-29 17:20:39 UTC 2014-07-29
17. Use -fPIC instead of -fpic by default...

Author: Magnus Holmgren
Revision Date: 2014-07-29 17:20:39 UTC

Use -fPIC instead of -fpic by default (Closes: #755769); needed on
sparc64 and shouldn't be noticeable elsewhere.

lp:ubuntu/trusty/nettle 2 Mature 2013-10-19 01:45:43 UTC 2013-10-19
15. New upstream bugfix release.

Author: Magnus Holmgren
Revision Date: 2013-05-29 19:25:35 UTC

New upstream bugfix release.

lp:ubuntu/saucy-proposed/nettle 2 Mature 2013-05-29 19:25:35 UTC 2013-05-29
15. New upstream bugfix release.

Author: Magnus Holmgren
Revision Date: 2013-05-29 19:25:35 UTC

New upstream bugfix release.

lp:ubuntu/saucy/nettle 1 Development 2013-05-29 19:25:35 UTC 2013-05-29
15. New upstream bugfix release.

Author: Magnus Holmgren
Revision Date: 2013-05-29 19:25:35 UTC

New upstream bugfix release.

lp:ubuntu/raring-proposed/nettle 1 Development 2012-11-17 05:09:10 UTC 2012-11-17
14. * Add postinst script that replaces o...

Author: Magnus Holmgren
Revision Date: 2012-11-16 21:13:25 UTC

* Add postinst script that replaces old documentation directory (from
  before 1.15-4) in nettle-bin with symlink (Closes: #692950).
* Spell check package descriptions (Closes: #680627). Thanks to Filipus
  Klutiero.

lp:ubuntu/raring/nettle 2 Mature 2012-11-16 21:13:25 UTC 2012-11-16
13. * Add postinst script that replaces o...

Author: Magnus Holmgren
Revision Date: 2012-11-16 21:13:25 UTC

* Add postinst script that replaces old documentation directory (from
  before 1.15-4) in nettle-bin with symlink (Closes: #692950).
* Spell check package descriptions (Closes: #680627). Thanks to Filipus
  Klutiero.

lp:ubuntu/quantal/nettle 2 Mature 2012-06-23 14:41:45 UTC 2012-06-23
12. * Drop README.source; not needed sinc...

Author: Magnus Holmgren
Revision Date: 2012-06-23 14:41:45 UTC

* Drop README.source; not needed since the package was converted to
  format 3.0.
* Correct errors in DEP 5-format debian/copyright.
* Use dpkg-buildflags to set CFLAGS et al.
* Bump Standards-Version to 3.9.3.

lp:ubuntu/precise/nettle 2 Mature 2011-10-13 18:35:09 UTC 2011-10-13
11. New upstream bugfix release.

Author: Magnus Holmgren
Revision Date: 2011-09-03 17:59:01 UTC

New upstream bugfix release.

lp:ubuntu/oneiric/nettle 2 Mature 2011-04-28 14:01:31 UTC 2011-04-28
10. * Upload to unstable. * Increase Debh...

Author: Magnus Holmgren
Revision Date: 2011-03-20 01:48:24 UTC

* Upload to unstable.
* Increase Debhelper compat level to 7.
* debian/rules: Add build-indep and build-arch targets.
* debian/copyright: Add entry for dsa2sexp.c.
* No longer suggest lsh-utils-doc as an alternative to lsh-doc.

lp:ubuntu/natty/nettle 2 Mature 2011-03-30 18:08:59 UTC 2011-03-30
9. Configure with --disable-assembler fo...

Author: Matthias Klose
Revision Date: 2011-03-30 18:08:59 UTC

Configure with --disable-assembler for natty to fix a FTBFS. Should
be revisited with 2.1 in the o-series.

lp:ubuntu/maverick/nettle 2 Mature 2010-04-30 19:29:13 UTC 2010-04-30
8. * rsa2sexp_algorithm_name.dpatch (new...

Author: Magnus Holmgren
Revision Date: 2009-10-11 23:27:07 UTC

* rsa2sexp_algorithm_name.dpatch (new): Use a default algorithm name
  that LSH understands in the sexp representation of an RSA key, so that
  pkcs1-conv can be used to convert existing OpenSSH private keys.
* debian/control: Add ${misc:Depends} to all packages lacking it.
* debian/control: nettle-dev: Depend on dpkg (>= 1.15.4) | install-info
  as recommended for the transition to triggerized install-info.
* Upgraded to Standards-Version 3.8.3 with the previous change.

lp:ubuntu/lucid/nettle 1 Development 2009-10-30 14:06:21 UTC 2009-10-30
8. * rsa2sexp_algorithm_name.dpatch (new...

Author: Magnus Holmgren
Revision Date: 2009-10-11 23:27:07 UTC

* rsa2sexp_algorithm_name.dpatch (new): Use a default algorithm name
  that LSH understands in the sexp representation of an RSA key, so that
  pkcs1-conv can be used to convert existing OpenSSH private keys.
* debian/control: Add ${misc:Depends} to all packages lacking it.
* debian/control: nettle-dev: Depend on dpkg (>= 1.15.4) | install-info
  as recommended for the transition to triggerized install-info.
* Upgraded to Standards-Version 3.8.3 with the previous change.

lp:ubuntu/jaunty/nettle 1 Development 2009-06-25 16:20:35 UTC 2009-06-25
5. * New maintainer email address. * Bri...

Author: Magnus Holmgren
Revision Date: 2008-04-20 00:40:55 UTC

* New maintainer email address.
* Bring debian/control format up-to-date with Homepage and Vcs fields.
* Add machine-readable copyright information to debian/copyright and
  clarify licensing of nettle-lfib-stream.1 and pkcs1-conv.1. The
  machine-readable information may not be completely accurate at this
  point due to the many different authors and licenses.
* Don't ignore make potential distclean errors.
* debian/libnettle-dev.doc-base: Change section to Programming/C
  following the abolishion of the Apps section.
* Bump Standards-Version to 3.7.3 without any changes.

lp:ubuntu/intrepid/nettle 1 Development 2009-06-25 16:20:27 UTC 2009-06-25
5. * New maintainer email address. * Bri...

Author: Magnus Holmgren
Revision Date: 2008-04-20 00:40:55 UTC

* New maintainer email address.
* Bring debian/control format up-to-date with Homepage and Vcs fields.
* Add machine-readable copyright information to debian/copyright and
  clarify licensing of nettle-lfib-stream.1 and pkcs1-conv.1. The
  machine-readable information may not be completely accurate at this
  point due to the many different authors and licenses.
* Don't ignore make potential distclean errors.
* debian/libnettle-dev.doc-base: Change section to Programming/C
  following the abolishion of the Apps section.
* Bump Standards-Version to 3.7.3 without any changes.

lp:ubuntu/hardy/nettle 1 Development 2009-06-25 16:20:17 UTC 2009-06-25
10. * Add manpage for nettle-lfib-stream(...

Author: Magnus Holmgren
Revision Date: 2007-06-11 13:37:53 UTC

* Add manpage for nettle-lfib-stream(1) (Closes: #413293).
* Add manpage for pkcs1-conv(1) (Closes: #413294).
* Correct manpage for sexp-conv(1).

lp:ubuntu/gutsy/nettle 1 Development 2009-06-25 16:20:09 UTC 2009-06-25
10. * Add manpage for nettle-lfib-stream(...

Author: Magnus Holmgren
Revision Date: 2007-06-11 13:37:53 UTC

* Add manpage for nettle-lfib-stream(1) (Closes: #413293).
* Add manpage for pkcs1-conv(1) (Closes: #413294).
* Correct manpage for sexp-conv(1).

lp:ubuntu/feisty/nettle 1 Development 2009-06-25 16:20:01 UTC 2009-06-25
6. * Removed non-DFSG file from the arch...

Author: Marek Habersack
Revision Date: 2006-10-18 09:47:03 UTC

* Removed non-DFSG file from the archive and disabled the
  corresponding test case
* Source package contains non-free IETF RFC/I-D's (Closes: #393400)
* Since there is no upstream release available, a "fake" version number
  is added to the version.

lp:ubuntu/edgy/nettle 1 Development 2009-06-25 16:19:58 UTC 2009-06-25
5. The latest upstream version

Author: Marek Habersack
Revision Date: 2006-05-09 21:41:17 UTC

The latest upstream version

lp:ubuntu/dapper/nettle 1 Development 2009-06-25 16:19:52 UTC 2009-06-25
4. Force a recompile to match the new li...

Author: Marek Habersack
Revision Date: 2005-07-19 12:01:28 UTC

Force a recompile to match the new libgmp3 package name

lp:ubuntu/breezy/nettle 1 Development 2009-06-25 16:19:48 UTC 2009-06-25
4. Rebuild, change library package names.

Author: Matthias Klose
Revision Date: 2005-05-23 23:06:28 UTC

Rebuild, change library package names.

lp:ubuntu/hoary/nettle 1 Development 2009-06-25 16:19:44 UTC 2009-06-25
3. * The latest upstream release * sexp-...

Author: Marek Habersack
Revision Date: 2004-11-30 01:45:49 UTC

* The latest upstream release
* sexp-conv is installed as sexp-conv.nettle and registered with the
  alternatives system now.
* added the sexp-conv mainpage borrowed from the lsh-utils package.

lp:ubuntu/warty/nettle 1 Development 2009-06-25 16:19:39 UTC 2009-06-25
2. The latest upstream version

Author: Marek Habersack
Revision Date: 2004-05-04 15:56:02 UTC

The latest upstream version

lp:ubuntu/karmic/nettle 1 Development 2009-06-25 16:14:33 UTC 2009-06-25
6. * No longer install sexp-conv as an a...

Author: Magnus Holmgren
Revision Date: 2009-04-13 22:52:44 UTC

* No longer install sexp-conv as an alternative; conflict with lsh-utils
  prior to 2.0.4-dfsg-1, which depends on nettle-bin instead of shipping
  a copy of sexp-conv (Closes: #510942). Drop nettle-bin.postinst and
  nettle-bin.prerm (nettle-bin.prerm will remove the alternative on
  upgrade, which is actually a bug, but works out fine in this case).
* Switch to Debhelper level 5. Remove files that don't exist from install
  lists (copied from a template, apparently).
* Upgrade to Standards-Version 3.8.1:
  + Add debian/README.source (ยง 4.9).
* Add debian/libnettle2.symbols.

128 of 28 results